Subject: Ticket Assigned - Landmark Group
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 17 Feb 2022 16:41:29 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Hello,

I would like to express my huge frustration regarding the customer service. I have never experienced inconsistency of giving information before. To be honest, the online customer service agent  was very helpful as he guided me to take a picture of the damaged part of the chandelier that I purchases and to be taken care off . It was picked up hoping to find a solution. I was surprised and disappointed when another I called again and informed me that I have to return the entire chandelier as they cannot replace the defected part only , and it’s out of stock online . as I believe the glassy part should be replaced only. It’s not my fault to find it damaged I have spent lot of money till now for buying separated lightbulbs , electricity plus the delivery charges at the end no body is being helpful at all!I need a proper understandable solution from someone in charge  just a new glass not the answer we can’t help? 
This is the worst experience ever https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3889747